MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023296Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 13:282012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023296: Not verifying method return flag
DescriptionIn BOPTools_Tools3D.cxx, lines 512 and 514 a flag indicating method success is obtained but only once verified.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0021762closedemv Open CASCADE Integration new Boolean Operation algorithm to OCC 

-  Notes
(0021008)
Pawel (developer)
2012-07-17 13:39

Corresponding git branch pushed. Please review.
(0021211)
emv (developer)
2012-08-08 10:08

Reviewed. Please test.
(0021223)
apn (administrator)
2012-08-09 13:11

Dear BugMaster,
Branch CR23296 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 8fb480b3
Timestamp: 2012-07-17 09:37:28
Author: Pawel
Details ] Diff ]
0023296: Not verifying method return flag

Checking the returned flag. If the method fails return.
mod - src/BOPTools/BOPTools_Tools3D.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 13:28 Pawel New Issue
2012-07-17 13:28 Pawel Assigned To => Pawel
2012-07-17 13:39 Pawel Note Added: 0021008
2012-07-17 13:39 Pawel Assigned To Pawel => bugmaster
2012-07-17 13:39 Pawel Status new => resolved
2012-07-18 08:47 abv Assigned To bugmaster => emv
2012-07-18 08:48 abv Relationship added related to 0021762
2012-08-08 10:08 emv Note Added: 0021211
2012-08-08 10:08 emv Status resolved => reviewed
2012-08-09 11:34 apn Assigned To emv => apn
2012-08-09 13:11 apn Note Added: 0021223
2012-08-09 13:12 apn Test case number => Not needed
2012-08-09 13:12 apn Assigned To apn => bugmaster
2012-08-09 13:12 apn Status reviewed => tested
2012-08-13 15:38 Pawel Changeset attached => occt master 8fb480b3
2012-08-13 15:38 Pawel Assigned To bugmaster => Pawel
2012-08-13 15:38 Pawel Status tested => verified
2012-08-13 15:38 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker